# std::ratio_add< _R1, _R2 > Struct Template Reference
[Rational Arithmetic]

ratio_add More...

List of all members.

## Public Types

- typedef ratio< __safe_add
  < __safe_multiply< _R1::num,(_R2::den/__gcd)>
  ::value, __safe_multiply
  < _R2::num,(_R1::den/__gcd)>
  ::value >::value,
  __safe_multiply< _R1::den,(_R2::den/__gcd)>
  ::value > type

## Detailed Description

### template<typename _R1, typename _R2>
struct std::ratio_add< _R1, _R2 >

ratio_add

Definition at line 173 of file ratio.

The documentation for this struct was generated from the following file:

- ratio